package org.wso2.carbon.device.mgt.ios.payload.dto;

import java.io.Serializable;

public class CertificateAttributes implements Serializable {

    public enum CertificateAttributeConstants {
        COUNTRY("C"),
        STATE("S"),
        LOCALITY("L"),
        ORGANIZATION("O"),
        ORGANIZATION_UNIT("OU"),
        EMAIl("E"),
        COMMON_NAME("CN");

        CertificateAttributeConstants(String label) {
            this.label = label;
        }

        private String label;

        public String getLabel() {
            return label;
        }

        public void setLabel(String label) {
            this.label = label;
        }
    }

	private static final long serialVersionUID = 41453153L;
	private String country;
	private String state;
	private String locality;
	private String organization;
	private String organizationUnit;
	private String email;
    private String commonName;

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getLocality() {
		return locality;
	}

	public void setLocality(String locality) {
		this.locality = locality;
	}

	public String getOrganization() {
		return organization;
	}

	public void setOrganization(String organization) {
		this.organization = organization;
	}

	public String getOrganizationUnit() {
		return organizationUnit;
	}

	public void setOrganizationUnit(String organizationUnit) {
		this.organizationUnit = organizationUnit;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

    public String getCommonName() {
        return commonName;
    }

    public void setCommonName(String commonName) {
        this.commonName = commonName;
    }

}
